function [FracFreqArray] = CalculateFracFreq(Tau_A, Tau_0, data_load)
%This function calculate fractional frequency of the DUT oscilator.
%Function retern array of y 

%Tau_cout = numel(Tau);
n = Tau_A/Tau_0;
n = floor(n);
FFACount = numel(data_load)/n;
FFACount = floor(FFACount);
FracFreqArray = zeros(FFACount,1);


for i = 1:FFACount
    sumX = 0;
    for j = 1:n
        sumX = sumX + data_load((i-1)*n + j);
    end
    FracFreqArray (i) = (1/n) * sumX;
end